<?php
// die if not uninstalling
if( ! defined( 'WP_UNINSTALL_PLUGIN' ) )
	exit ();

if ( get_option( 'haw_easysendy_drop_data' ) ) {

	global $haw_easysendy_modules, $wpdb;

	/**
	 * Include all of the form integration files
	 */
	foreach ( glob( dirname( __FILE__ ) . "/modules/*.php" ) as $filename ) {
		require_once $filename;
	}

	//Delete plugin options
	delete_option( 'haw_easysendy_base_url' );
	delete_option( 'haw_easysendy_auth_type' );
	delete_option( 'haw_easysendy_public_key' );
	delete_option( 'haw_easysendy_secret_key' );
	delete_option( 'haw_easysendy_drop_data' );
	delete_option( 'haw_easysendy_access_token_data' );

	//Delete modules options
	if ( count( $haw_easysendy_modules ) > 0 ) {
		foreach ( $haw_easysendy_modules as $module ) {
			delete_option( $module );
		}
	}

	//Drop plugin tables
	$easysendy_forms               = $wpdb->prefix . 'haw_easysendy_forms';
	$easysendy_form_fields         = $wpdb->prefix . 'haw_easysendy_form_fields';
	$easysendy_integration_form    = $wpdb->prefix . 'haw_easysendy_integration_form';

	$wpdb->query( "DROP TABLE IF EXISTS " . $easysendy_forms );
	$wpdb->query( "DROP TABLE IF EXISTS " . $easysendy_form_fields );
	$wpdb->query( "DROP TABLE IF EXISTS " . $easysendy_integration_form );

}